Skip to content
LogoLogo

Query

EscrowAddress returns the escrow address for a particular port and channel id.

GET/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address

Path Parameters

channel_idRequired
string

unique channel identifier

port_idRequired
string

unique port identifier

Responses

DenomHash queries a denomination hash information.

GET/ibc/apps/transfer/v1/denom_hashes/{trace}

Path Parameters

traceRequired
string

The denomination trace ([port_id]/[channel_id])+/[denom]

Responses

DenomTraces queries all denomination traces.

GET/ibc/apps/transfer/v1/denom_traces

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

DenomTrace queries a denomination trace information.

GET/ibc/apps/transfer/v1/denom_traces/{hash}

Path Parameters

hashRequired
string

hash (in hex format) or denom (full denom with ibc prefix) of the denomination trace information.

Responses

Params queries all parameters of the ibc-transfer module.

GET/ibc/apps/transfer/v1/params

Responses

InterchainAccount returns the interchain account address for a given owner address on a given connection

GET/ibc/apps/interchain_accounts/controller/v1/owners/{owner}/connections/{connection_id}

Path Parameters

ownerRequired
string
connection_idRequired
string

Responses

Params queries all parameters of the ICA controller submodule.

GET/ibc/apps/interchain_accounts/controller/v1/params

Responses

Params queries all parameters of the ICA host submodule.

GET/ibc/apps/interchain_accounts/host/v1/params

Responses

FeeEnabledChannel returns true if the provided port and channel identifiers belong to a fee enabled channel

GET/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/fee_enabled

Path Parameters

channel_idRequired
string

unique channel identifier

port_idRequired
string

unique port identifier

Responses

Gets all incentivized packets for a specific channel

GET/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/incentivized_packets

Path Parameters

channel_idRequired
string
port_idRequired
string

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_height
string <uint64>

Height to query at.

Responses

CounterpartyPayee returns the registered counterparty payee for forward relaying

GET/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/counterparty_payee

Path Parameters

channel_idRequired
string

unique channel identifier

relayerRequired
string

the relayer address to which the counterparty is registered

Responses

Payee returns the registered payee address for a specific channel given the relayer address

GET/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/payee

Path Parameters

channel_idRequired
string

unique channel identifier

relayerRequired
string

the relayer address to which the distribution address is registered

Responses

IncentivizedPacket returns all packet fees for a packet given its identifier

GET/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet

Path Parameters

packet_id.channel_idRequired
string

channel unique identifier

packet_id.port_idRequired
string

channel port identifier

packet_id.sequenceRequired
string <uint64>

packet sequence

Query Parameters

query_height
string <uint64>

block height at which to query.

Responses

TotalAckFees returns the total acknowledgement fees for a packet given its identifier

GET/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_ack_fees

Path Parameters

packet_id.channel_idRequired
string

channel unique identifier

packet_id.port_idRequired
string

channel port identifier

packet_id.sequenceRequired
string <uint64>

packet sequence

Responses

TotalRecvFees returns the total receive fees for a packet given its identifier

GET/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_recv_fees

Path Parameters

packet_id.channel_idRequired
string

channel unique identifier

packet_id.port_idRequired
string

channel port identifier

packet_id.sequenceRequired
string <uint64>

packet sequence

Responses

TotalTimeoutFees returns the total timeout fees for a packet given its identifier

GET/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_timeout_fees

Path Parameters

packet_id.channel_idRequired
string

channel unique identifier

packet_id.port_idRequired
string

channel port identifier

packet_id.sequenceRequired
string <uint64>

packet sequence

Responses

FeeEnabledChannels returns a list of all fee enabled channels

GET/ibc/apps/fee/v1/fee_enabled

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_height
string <uint64>

block height at which to query.

Responses

IncentivizedPackets returns all incentivized packets and their associated fees

GET/ibc/apps/fee/v1/incentivized_packets

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_height
string <uint64>

block height at which to query.

Responses

ClientParams queries all parameters of the ibc client.

GET/ibc/client/v1/params

Responses

ClientStates queries all the IBC light clients of a chain.

GET/ibc/core/client/v1/client_states

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

ClientState queries an IBC light client.

GET/ibc/core/client/v1/client_states/{client_id}

Path Parameters

client_idRequired
string

client state unique identifier

Responses

Status queries the status of an IBC client.

GET/ibc/core/client/v1/client_status/{client_id}

Path Parameters

client_idRequired
string

client unique identifier

Responses

ConsensusStates queries all the consensus state associated with a given client.

GET/ibc/core/client/v1/consensus_states/{client_id}

Path Parameters

client_idRequired
string

client identifier

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

ConsensusStateHeights queries the height of every consensus states associated with a given client.

GET/ibc/core/client/v1/consensus_states/{client_id}/heights

Path Parameters

client_idRequired
string

client identifier

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

ConsensusState queries a consensus state associated with a client state at a given height.

GET/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}

Path Parameters

client_idRequired
string

client identifier

revision_numberRequired
string <uint64>

consensus state revision number

revision_heightRequired
string <uint64>

consensus state revision height

Query Parameters

latest_height
boolean <boolean>

latest_height overrrides the height field and queries the latest stored ConsensusState.

Responses

UpgradedClientState queries an Upgraded IBC light client.

GET/ibc/core/client/v1/upgraded_client_states

Responses

UpgradedConsensusState queries an Upgraded IBC consensus state.

GET/ibc/core/client/v1/upgraded_consensus_states

Responses

ClientConnections queries the connection paths associated with a client state.

GET/ibc/core/connection/v1/client_connections/{client_id}

Path Parameters

client_idRequired
string

client identifier associated with a connection

Responses

Connections queries all the IBC connections of a chain.

GET/ibc/core/connection/v1/connections

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

Connection queries an IBC connection end.

GET/ibc/core/connection/v1/connections/{connection_id}

Path Parameters

connection_idRequired
string

connection unique identifier

Responses

ConnectionClientState queries the client state associated with the connection.

GET/ibc/core/connection/v1/connections/{connection_id}/client_state

Path Parameters

connection_idRequired
string

connection identifier

Responses

ConnectionConsensusState queries the consensus state associated with the connection.

GET/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Path Parameters

connection_idRequired
string

connection identifier

revision_numberRequired
string <uint64>
revision_heightRequired
string <uint64>

Responses

Channels queries all the IBC channels of a chain.

GET/ibc/core/channel/v1/channels

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

Channel queries an IBC Channel.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

revision_numberRequired
string <uint64>

revision number of the consensus state

revision_heightRequired
string <uint64>

revision height of the consensus state

Responses

NextSequenceReceive returns the next receive sequence for a given channel.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

packet_commitment_sequences
string <uint64>[]

list of packet sequences.

Responses

PacketAcknowledgement queries a stored packet acknowledgement hash.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketCommitments returns all the packet commitments hashes associated with a channel.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

packet_ack_sequencesRequired
string <uint64>[]·min 1

list of acknowledgement sequences

Responses

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

packet_commitment_sequencesRequired
string <uint64>[]·min 1

list of packet sequences

Responses

PacketCommitment queries a stored packet commitment hash.

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketReceipt queries if a given packet sequence has been received on the queried chain

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

ConnectionChannels queries all the channels associated with a connection end.

GET/ibc/core/channel/v1/connections/{connection}/channels

Path Parameters

connectionRequired
string

connection unique identifier

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean <boolean>

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean <boolean>

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses